Name:		gtkterm
Version:	0.99.6
Release:	%mkrel 1
Summary:	Serial port terminal
Group:		Communications
License:	GPLv2+
URL:		http://fedorahosted.org/gtkterm/
Source0:        http://fedorahosted.org/released/%{name}/%{name}-%{version}.tar.xz
Patch2:		gtkterm-0.99.6-scrollback.patch
Patch5:		gtkterm-0.99.6-fix-str-fmt.patch
Patch7:		gtkterm-0.99.6-ubuntu-fixes.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk2-devel 
BuildRequires:	gettext 
BuildRequires:	bison 
BuildRequires:	vte-devel 
BuildRequires:	zlib-devel 
BuildRequires:	ncurses-devel
Obsoletes:  	%name < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

%description
Gtkterm is a simple GTK+ terminal used to communicate with a serial port.
It is has fewer features than minicom, but is designed to be as easy to
use as possible.

%prep
%setup -q
%patch2	-p1 -b .scrollback
%patch5 -p0 -b .str
%patch7 -p1 -b .ubuntu

%build
%configure2_5x --disable-rpath

# Hack fix broken Makefile
sed -i 's|@MKINSTALLDIRS@|../mkinstalldirs|g' po/Makefile

%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=GTKTerm
Comment=Serial port terminal
Exec=%{name}
Icon=terminals_section
Terminal=false
Type=Application
Categories=GTK;RemoteAccess;Network;X-MandrivaLinux-Internet-RemoteAccess;
EOF

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/*.desktop


%changelog
* Wed Apr 13 2011 Texstar <texstar at gmail.com> 0.99.6-1pclos2011
- update for 2010/2011 release

